#pragma once

class ChessClock {
  long time; // s/10
  int playTime, inc; // min, s
  long beginTime; // for bronstein
  bool running;
  string timeStr;
  WORD switchKey;
  bool bronstein;
  int status; //0=ready, 1=stopped, 2=running, 3=waiting, 4=flagged
public:
  ChessClock(WORD k, int playT=5, int inc2=0);
  void Init(int playT, int inc2, bool br=false);
  void Run();
  void Stop();
  void Reset();
  void Dec();
  void Inc();
  bool IsRunning();
  bool IsOver();
  bool IsSwitchKey(WORD key);
  void SetSwitchKey(WORD k);
  string GetTime();
  void Moretime(int i);
  int GetStatus();
  void SetStatus(int s);
  void Pause();
  void Unpause();
};
